<template>
  <div class="wrapper--card flex justify-center items-center sm:w-full">
    <div>
      <p class="title text-center" :class="{ green: green, blue: blue, red: red, yellow: yellow }">
        {{ number }}
      </p>
      <p class="desc text-center">{{ desc }}</p>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    number: {
      type: String,
      default: '0000.0000',
    },
    desc: {
      type: String,
      default: 'Description',
    },
    green: {
      type: Boolean,
      default: false,
    },
    blue: {
      type: Boolean,
      default: false,
    },
    red: {
      type: Boolean,
      default: false,
    },
    yellow: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.wrapper--card {
  height: 133px;
  border-radius: 4px;
}
.title {
  font-size: 48px;
  line-height: 48px;
  font-family: 'IBM Plex Mono', monospace;
}
.desc {
  font-size: 16px;
  line-height: 21px;
}
.green {
  color: $green;
}
.red {
  color: $red;
}
.yellow {
  color: $yellow;
}
.blue {
  color: $blue;
}
.dark-mode {
  .wrapper--card {
    background-color: $black-alt;
    color: $grey-alt;
  }
}
.light-mode {
  .wrapper--card {
    background-color: $white;
    color: $black-alt;
  }
}
</style>
